BEGIN {FS = "{"}			# first token precedes open brace
{
	sub(/%.*$/,"",$0);		# remove comments
	sub(/[ 	][ 	]*/,"",$1);	# flush white space
	sub(/^.*def\\/,"\\",$1);	# remove \def, \xdef, \gdef, ...
	sub(/\[/,"",$1);		# remove bracketed args [#1]
	sub(/#.*$/,"",$1);		# remove args #1#2...
	sub(/ .*$/,"",$1);		# remove everything after space
	sub(/\=.*$/,"",$1);		# remove everything after =
	sub(/}.*$/,"",$1);		# remove everything after }
	if (length($1) > 0) print $1;	# print remainder if non-empty 
}
